Name:       compose-utils
Version:    0.1.20
Release:    1%{?dist}
Summary:    Utilities for working with composes

Group:      Development/Tools
License:    GPLv2
URL:        https://pagure.io/compose-utils
Source0:    https://pagure.io/releases/compose-utils/%{name}-%{version}.tar.bz2

BuildRequires:  python2-devel
BuildRequires:  python2-productmd >= 1.1
BuildRequires:  python2-freezegun
BuildRequires:  python2-mock
BuildRequires:  python2-kobo
BuildRequires:  python2-kobo-rpmlib
BuildRequires:  python2-unittest2
BuildRequires:  python2-nose
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-productmd >= 1.1
BuildRequires:  python%{python3_pkgversion}-freezegun
BuildRequires:  python%{python3_pkgversion}-mock
BuildRequires:  python%{python3_pkgversion}-kobo
BuildRequires:  python%{python3_pkgversion}-kobo-rpmlib
BuildRequires:  python%{python3_pkgversion}-unittest2
BuildRequires:  python%{python3_pkgversion}-nose
Requires:       python3-%{name} = %{version}-%{release}

BuildArch:  noarch

%description
A set of tools for working with composes produced by pungi.


%package -n python2-%{name}
Summary:    Python 2 libraries supporting tools for working with composes
Requires:   python2-productmd >= 1.1
Requires:   python2-kobo >= 0.4.2
Requires:   python2-kobo-rpmlib
Requires:   rsync
%{?python_provide:%python_provide python2-%{name}}

%description -n python2-%{name}
Python 2 libraries supporting tools for working with composes


%package -n python%{python3_pkgversion}-%{name}
Summary:    Python 3 libraries supporting tools for working with composes
Requires:   python%{python3_pkgversion}-productmd >= 1.1
Requires:   python%{python3_pkgversion}-kobo
Requires:   python%{python3_pkgversion}-kobo-rpmlib
Requires:   rsync
%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}

%description -n python%{python3_pkgversion}-%{name}
Python 3 libraries supporting tools for working with composes


%prep
%setup -q


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files
%defattr(-,root,root,-)
%license COPYING GPL
%doc AUTHORS README.rst
%{_bindir}/*
%{_mandir}/man1/*

%files -n python2-%{name}
%license COPYING GPL
%doc AUTHORS README.rst
%{python2_sitelib}/*

%files -n python%{python3_pkgversion}-%{name}
%license COPYING GPL
%doc AUTHORS README.rst
%{python3_sitelib}/*


%changelog
* Mon Jun 04 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.20-1
- Fix getting changelogs with malformed versions

* Wed May 16 2018 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.19-1
- Fix changelog generation on Python 3

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 23 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.18-1
- Update packaging for Python 3
- Ignore module build suffix in changelog

* Mon Oct 02 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.17-1
- Fix copying when compose path ends with slash

* Wed Sep 20 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.16-1
- changelog: Extract changelogs from same days
- Fix flaky test for package moves
- changelog: Use format compatible with Py 2.6
- list: refactor sorting composes to a separate method
- changelog: Format all sizes for readability
- Use datetime for getting current date

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 19 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.15-1
- Bump dependency on kobo library
- Handle URLs to composes in latest-symlink script

* Wed May 31 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.14-1
- New upstream release 0.1.14

* Tue Apr 25 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.13-1
- Avoid crash on missing paths in composeinfo

* Tue Mar 07 2017 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.12-1
- Fix partial copy to non-existing directory
- Add compose-create-next-dir utility (qwan)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Nov 25 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.11-1
- Fix copying disk images

* Wed Oct 26 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.10-1
- Shorten verbose changelog, --full will display everything

* Thu Sep 15 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.9-1
- Add a script to generate legacy .composeinfo file
- Add COMPOSE_ID file to copied part of compose
- Treat source as a separate arch when copying compose

* Mon Aug 29 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.8-1
- New upstream release

* Tue Aug 09 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.7-1
- Add a script to copy part of compose
- Add a script to check packages moved between variants

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.6-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon May 30 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.6-1
- Fix getting SRPM summary

* Tue Apr 19 2016 Lubomír Sedlář <lsedlar@redhat.com> - 0.1.5-1
- Add utility for listing composes
- Display better error messages when changelog fails to find metadata

* Wed Apr 13 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.4-1
- Add image diff to changelog (Adam Williamson)

* Wed Mar 30 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.3-1
- Do not crash changelog when composeinfo.json is missing
- Run tests when building package

* Tue Mar 15 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.2-1
- Correctly handle epochs

* Thu Feb 25 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.1-1
- Fix wrong address in license

* Thu Feb 25 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 0.1.0-1
- Initial packaging
